Subject: Re: BASH history
From: [email-masked] (Weiqi Gao)

27 Nov 1998 13:03:00 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

[email-masked] wrote:
> 
> Hi!
> I'm trying to work myself into Linux & stuff, and I try to use the BASH
> that comes with Cygwin Bxx to work under Win32.
> It's fun, it's somewhat cooler than the DOS-prompt!
> 
> Here's my Question:
>   I found the following file in my root: ".bash_history".
>   It does not at all belong there! (I've got a bad obsessive-compulsive
> disorder about keeping my system tidy %-}...)
> 
>   How can I prevent BASH from creating this file in my root directory
> (C:\)?

Bash looks for an environment variable called HOME and put .bash_history
there.  It also reads the .bashrc start up script from there.

It is debatable whether to set HOME to /home/username (the Linux way) or
C:\Windows\Profiles\UserName (the Windows way).

--
Weiqi Gao
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".